Samstag, 25. Oktober 2014, 12:11 UTC+2

Sie sind nicht angemeldet.

  • Anmelden
  • Registrieren

Lieber Besucher, herzlich willkommen bei: FSRi Duisburg. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

Studiengang: -

Schwerpunkt: -

1

Dienstag, 8. März 2011, 18:17

Browser vs. Java

Ich habe ein Problem mit Java innerhalb Internet-Browsern.
Java-Applikationen laufen weder in Firefox, Chrome sogar nicht mal im INet-Explorer.
Jeder Browser empfiehlt die Java Runtime runterzuladen. Gesagt getan und da meldet mir Java, dass es bereits schon installiert ist.
Dass Java richtig installiert ist und funktioniert zeigt mir ja deutlich Eclipse.

Java lässt sich aber auch merkwürdiger Weise nicht deinstallieren da irgendwelche Dateien fehlen o.O

Hab Probeweise mal Java auf ner anderen Festplatte installiert und alle Variablen umgestellt auf das "neue" Java aber auch da keine Änderung. Eclipse funzt noch wunderbar wie es soll doch alle InternetBrowser enthalten kein Java.

Jemand ne Idee wie man das Problem lösen kann?
:gähn:

Studiengang: BMAI

Schwerpunkt: Ingenieursinformatik

2

Dienstag, 8. März 2011, 22:27

Hast du vllt Zonealarm o.ä. Firewall-Programme installiert, die Java fürs Internet blockieren ? Oder vllt sogar ein NoScript-Plugin installiert ?

Falls du keine Firewall wie Zonealarm o.ä. installiert hat könnte das helfen:

http://www.java.com/de/download/help/enable_browser.xml

Hoffe das hilft dir

Name: Iris Schmücker

Studiengang: DAI

Schwerpunkt: -

3

Mittwoch, 9. März 2011, 23:04

Hm, vielleicht ist das Problem doch etwas vielschichtiger... Ich versuche es mal mit einer Annäherung:


1.) Zur Begriffsklärung "Java-Applet vs. Java-Anwendung":
Man unterscheidet zwischen Java-Applets , die im Webbrowser laufen, und eigenständig laufenden Java-Anwendungen . (Klick auf die Wörter und lies die Erklärung in Wikipedia.)

Üblicherweise werden Java-Applets von HTML-Seiten aufgerufen. Um sie ausführen zu können, muss der jeweilige Webbrowser über eine entsprechende Java-VM verfügen. Diese VM, die Laufzeitumgebung für das Java-Applet, kann entweder Teil des entsprechenden Browsers sein oder in Form eines Java-Plugins nachträglich installiert werden (z. B. JRE von Sun, siehe Weblinks auf der Wikipediaseite zum Thema "Java-Applet")

In der Regel wird von einem Browser heute ein Java-Plugin für den Browser verwendet, welches die Java Virtual Machine (JVM) aufruft. Wenn man die aktuelle Version der Java-Runtime-Environment JRE verwendet, werden alle benötigten Plugins gleich mit installiert. Über den folgenden Link kann überprüft werden, ob die aktuelle Version der JRE installiert ist, und ob der verwendete Browser Zugriff auf diese Installation hat: Java Installation Überprüfen


2.) What Java Do I Need?(Frage und Antwort diesmal auf Englisch...)
You must have a copy of the JRE (Java Runtime Environment) on your system to run Java applications and applets. To develop Java applications and applets, you need the JDK (Java Development Kit), which includes the JRE.
Frage und Antwort findest du auf dieser Seite - dort findest du noch weitere Informationen - u.A. praktischerweise gleich die Download-Links: http://www.oracle.com/technetwork/java/j…oads/index.html


3.) Falls das noch nicht hilft... / Weiterführende Schritte:
Wenn du mit obigen Schritten noch nicht weiter gekommen bist, kannst du auch zunächst einen Plugin-Check machen
Z.B. unter https://www.mozilla.com/en-US/plugincheck/

oder du schaust dir mal diese Seite mit weiteren Infos hier an:[url]http://www.wikiservice.at/dse/wiki.cgi?JavaApplets[/url]

...

Vielleicht hilft dir das ja schon...


PS:
Wenn Du beim Öffnen dieser Applets keine Probleme mehr hast, müsste es funktioniert haben :D :
http://java.sun.com/applets/jdk/1.4/index.html